# Uses of Enum Class
com.sun.source.tree.ModuleTree.ModuleKind

Packages that use ModuleTree.ModuleKind
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).

## Uses of ModuleTree.ModuleKind in com.sun.source.tree

Methods in com.sun.source.tree that return ModuleTree.ModuleKind
Modifier and Type
Method
Description
`ModuleTree.ModuleKind`
ModuleTree.`getModuleType()`
Returns the type of this module.
`static ModuleTree.ModuleKind`
ModuleTree.ModuleKind.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ModuleTree.ModuleKind[]`
ModuleTree.ModuleKind.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.